%define	upstream_name	 Fuse
%define	upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Write filesystems in Perl using FUSE
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/D/DP/DPAVLIN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filesys::Statvfs)
BuildRequires: perl(Lchown)
BuildRequires: perl(Unix::Mknod)
BuildRequires: fuse-devel
BuildRequires: fuse
BuildRequires: perl-devel
%description
This lets you implement filesystems in perl, through the FUSE (Filesystem in
USErspace) kernel/lib interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
#%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc AUTHORS Changes META.yml README examples
%{perl_vendorarch}/Fuse*
%{perl_vendorarch}/auto/Fuse*
%{_mandir}/man3/*

%changelog

* Sat Aug 20 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 134634
- update to 0.14

* Fri Jul 08 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 120404
- update to 0.13

* Wed Jun 15 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 106965
- update to 0.12

* Sun Jun 12 2011 sander85 <sander85> 0.110.0-2.mga2
+ Revision: 104308
- Rebuild for perl 5.14

* Mon Feb 28 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 61460
- update to 0.11
- update to 0.11

* Sat Feb 26 2011 jquelin <jquelin> 0.90.0-2.mga1
+ Revision: 60805
- rebuild
- update to 0.11

* Fri Jan 21 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 30442
- mageia rebuild
- imported package perl-Fuse


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 409018
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.09-4mdv2009.0
+ Revision: 257076
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.09-2mdv2008.1
+ Revision: 151380
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - description is not a programmer manual

* Thu Dec 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2008.1
+ Revision: 115858
- update to new version 0.09

* Thu Jul 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.0
+ Revision: 53372
- new version

  + Funda Wang <fwang@mandriva.org>
    - New version

* Mon Apr 30 2007 Michael Scherer <misc@mandriva.org> 0.06-4mdv2008.0
+ Revision: 19631
- rebuild
- use %%rel


* Mon Jan 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.06-3mdk
- Add BuildRequires

* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.06-2mdk
- fix requires

* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.06-1mdk
- initial Mandriva release

